Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.lob
Class SerializableClob

    java.lang.Object
      org.hibernate.lob.SerializableClob

All Implemented Interfaces:
  Serializable, Clob

    public class SerializableClob

extends Object
implements Serializable, Clob

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`SerializableClob(Clob blob)`

Method Summary
`InputStream` | `getAsciiStream()`
`Reader` | `getCharacterStream()`
`String` | `getSubString(long pos, int length)`
`Clob` | `getWrappedClob()`
`long` | `length()`
`long` | `position(Clob searchstr, long start)`
`long` | `position(String searchstr, long start)`
`OutputStream` | `setAsciiStream(long pos)`
`Writer` | `setCharacterStream(long pos)`
`int` | `setString(long pos, String str)`
`int` | `setString(long pos, String str, int offset, int len)`
`void` | `truncate(long len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableClob

    public SerializableClob(Clob blob)

Method Detail

### getWrappedClob

    public Clob getWrappedClob()

### length

    public long length()
                throws SQLException

  Specified by:
    `length` in interface `Clob`
  Throws:
    `SQLException`

### getSubString

    public String getSubString(long pos,
                               int length)
                        throws SQLException

  Specified by:
    `getSubString` in interface `Clob`
  Throws:
    `SQLException`

### getCharacterStream

    public Reader getCharacterStream()
                              throws SQLException

  Specified by:
    `getCharacterStream` in interface `Clob`
  Throws:
    `SQLException`

### getAsciiStream

    public InputStream getAsciiStream()
                               throws SQLException

  Specified by:
    `getAsciiStream` in interface `Clob`
  Throws:
    `SQLException`

### position

    public long position(String searchstr,
                         long start)
                  throws SQLException

  Specified by:
    `position` in interface `Clob`
  Throws:
    `SQLException`

### position

    public long position(Clob searchstr,
                         long start)
                  throws SQLException

  Specified by:
    `position` in interface `Clob`
  Throws:
    `SQLException`

### setString

    public int setString(long pos,
                         String str)
                  throws SQLException

  Specified by:
    `setString` in interface `Clob`
  Throws:
    `SQLException`

### setString

    public int setString(long pos,
                         String str,
                         int offset,
                         int len)
                  throws SQLException

  Specified by:
    `setString` in interface `Clob`
  Throws:
    `SQLException`

### setAsciiStream

    public OutputStream setAsciiStream(long pos)
                                throws SQLException

  Specified by:
    `setAsciiStream` in interface `Clob`
  Throws:
    `SQLException`

### setCharacterStream

    public Writer setCharacterStream(long pos)
                              throws SQLException

  Specified by:
    `setCharacterStream` in interface `Clob`
  Throws:
    `SQLException`

### truncate

    public void truncate(long len)
                  throws SQLException

  Specified by:
    `truncate` in interface `Clob`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD